Subject: bug#12797: 24.3.50; mml-atttach-file (C-c C-a) and ido

From: Jambunathan K <[email-masked]>
Date: Tue, 06 Nov 2012 10:16:21 +0530

Stefan Monnier <[email-masked]> writes:

>> there are differences between how ido reads file name at C-x C-f prompt
>> and how `read-file-name' reads file name while doing C-c C-a.  The
>> differences are subtle and it is annoying.
>
> By "how `read-file-name' reads file name while doing C-c C-a" you mean
> when ido-mode is enabled and read-file-name-function is set to something
> like ido-read-file-name?

I see a `read-file-name-function' (which I hadn't noticed before).

> So, this would be a bug (or missing feature maybe) in IDO, right?

Not a bug.  Definitely a desirable.  Yes.

>> The suggestion was to map `read-file-name' calls to `ido-read-file-name'
>> within ido.el so that a typical user (that is me!) is not annoyed.
>
> Hmm... so maybe I misunderstood and you meant C-c C-a is used in
> ido-mode but without redirecting read-file-name to ido-read-file-name?

Correct.